Package twisted :: Package web :: Package woven :: Module guard

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.guard

Classes
`GuardSession` | A user's session with a system.
`PerspectiveWrapper` | I am a wrapper that will restrict access to Resources based on a `twisted.cred.service.Service`'s 'authorizer' and perspective list.
`SessionWrapper` |

Function Summary
| `_sessionCookie()`
| `_setSession(wrap, req, cook)`

Variable Summary
`str` | `__version__`
`str` | `DESTROY_PERSPECTIVE`
`str` | `INIT_PERSPECTIVE`
`str` | `INIT_SESSION`
`MethodSignature` | `loginSignature`
`_Feature` | `nested_scopes`
`SelectReactor` | `reactor`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.15'

### DESTROY_PERSPECTIVE

  Type:
    `str`
  Value:

        'perspective-destroy'

### INIT_PERSPECTIVE

  Type:
    `str`
  Value:

        'perspective-init'

### INIT_SESSION

  Type:
    `str`
  Value:

        'session-init'

### loginSignature

  Type:
    `MethodSignature`
  Value:

        <twisted.python.formmethod.MethodSignature instance at 0x8a1d2bc>

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:19:12 2003 | http://epydoc.sf.net